//
//  PXStrokeStroke.h
//  PXEngine
//
//  Created by Kevin Lindsey on 9/4/12.
//  Copyright (c) 2012 Pixate, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <PXEngine/PXStrokeRenderer.h>

@class PXStroke;

/**
 *  PXStrokeStroke is an experimental class used to stroke the path of a path generated by another PXStrokeRenderer.
 */
@interface PXStrokeStroke : NSObject <PXStrokeRenderer>

/**
 *  The base stroke to apply to the contour. A new CGPath will be generated by applying this stroke to the contour;
 *  however, before the stroke is rendered, the strokeToApply will be applied to the generated CGPath, thus creating a
 *  stroke of a stroke
 */
@property (nonatomic, strong) PXStroke *strokeEffect;

/**
 *  The stroke to apply once the stroke effect CGPath has been generated.
 */
@property (nonatomic, strong) id<PXStrokeRenderer> strokeToApply;

@end
